%------------------------------------------------------------------------
% Routine         : t1u15dtx
%
% Description     : Configuring transducer-parameters - txt-file
%			for 1.5 d array
% Language        : Matlab 4.2
% Written by      : Sverre Holm 15.07.96
% Version no.     : 1.0 SH  15.07.96 Moved from t1usimtx.m
%                       SH  24.03.00 Removed ekstra end
%                   
% Called by       : t1usimtx
% Routines called : none
%------------------------------------------------------------------------

function ok=t1u15dtx(transducer,lambda,fid)

ok = 1; % return variable to tell calling routine that the real routine has been called
        % not a dummy

if transducer(6)==3 | transducer(6)==5
  
  fprintf(fid,' ELEVATION (1.5-D):\n');
  tmpstr = '5) Elevation array-aperture';  
  if transducer(6)==3 
    tmpstr = [tmpstr,' {ai+2*ao} \t a\t= %7.2f mm = %7.2f lambda \n'];
  else
    tmpstr = [tmpstr,' {ai+2*(am+ao)}  a \t= %7.2f mm = %7.2f lambda \n'];
  end
  fprintf(fid,tmpstr,transducer(5)*1e3,transducer(5)/lambda);

% --

  fprintf(fid,'\n');
  fprintf(fid,['12) Elevation array-aperture, inner, \t',...
	  'ai \t= %7.2f mm = %7.2f lambda \n'],...
          transducer(12)*1e3,transducer(12)/lambda);
  if transducer(6)==5    
    fprintf(fid,['13) Elevation array-aperture, middle, \t',...
	    'am \t= %7.2f mm = %7.2f lambda \n'],...
	    transducer(13)*1e3,transducer(13)/lambda);
  end  
  fprintf(fid,['14) Elevation array-aperture, outer, \t',...
	  'ao \t= %7.2f mm = %7.2f lambda \n'],...
          transducer(14)*1e3,transducer(14)/lambda);
  fprintf(fid,'\n');

% --

  fprintf(fid,'6) Elevation # elements \t\t Me_el\t= %4.0f  \n',transducer(6));
  fprintf(fid,'7) Elevation # points   \t\t Mp_el \t= %4.0f  \n',transducer(7));

% --

  fprintf(fid,'\n');
  fprintf(fid,['9) Elevation Fixed focus, inner, \t ri  \t= ',...
	  '%7.2f mm = %7.2f lambda \n'],...
          transducer(9)*1e3,transducer(9)/lambda);
  if transducer(6)==5    
    fprintf(fid,['10) Elevation Fixed focus, middle, \t rm',...
	    '\t= %7.2f mm = %7.2f lambda \n'],...
	    transducer(10)*1e3,transducer(10)/lambda);
  end  
  fprintf(fid,['11) Elevation Fixed focus, outer, \t ro',...
	  '\t= %7.2f mm = %7.2f lambda \n'],...
          transducer(11)*1e3,transducer(11)/lambda);
  fprintf(fid,'\n');

% --

  if transducer(6)==5    
    fprintf(fid,'15) Elevation offset, middle, \t\t om \t= %7.2f mm = %7.2f lambda \n',transducer(15)*1e3,transducer(15)/lambda);
  end  
  fprintf(fid,'16) Elevation offset, outer, \t\t oo \t= %7.2f mm = %7.2f lambda \n',transducer(16)*1e3,transducer(16)/lambda);
  


else % transducer(6) not equal 3 or 5
  return
end
return