%------------------------------------------------------------------------
% Routine         	: dusim.m      
%
% Description     	: Optimization of aperture in annular array.
% 
% Language        	: Matlab 4.0 
% Written by      	: Espen Iveland
%
% Version no.     	: 1.0 EI 29.06.93 First Version
%                       : 2.0 FT 23.02.94 Removed disp('EXIT = "x"')
%
% Called by       	: usimcnf
%------------------------------------------------------------------------


function[transducer,elem_pts]=dusim(transducer,flagg,excitation,media);

if flagg(2)==3 & transducer(18)==0

b=0.523;                                       % constant (1dB)

fid=1;
lambda=media(1,2)/excitation(1);
if length(flagg)>4
  if flagg(5)==1
    lambda_local=1;
  elseif flagg(5)==2
    lambda_local=media(1,2)/excitation(1)*1e3;
  end
else
  lambda_local=1;
end



com1=0;
while com1~='x'
  clc

  dusimtxt;
  
  disp('	CHANGE 		= "number"')
  com1 = input('-> Decision (<CR> = exit): ','s');
  if isempty(com1) com1 = 'x'; end
  
  
  % changing of parameters
  
  if com1=='2'
    temp=input('Number of elements 		N = ');
    if ~isempty(temp) transducer(2)=temp; end
  elseif com1=='5'
    temp=input('F-near 				Fn = ');
    if ~isempty(temp) transducer(5)=temp*lambda_local*1e-3; end
  elseif com1=='6'
    temp=input('F-far				Ff = ');
    if ~isempty(temp) transducer(6)=temp*lambda_local*1e-3; end
 end
 
end 					%while
transducer(9)=(2*transducer(5)*transducer(6))/(transducer(5)+transducer(6));
transducer(1)=2*sqrt((transducer(9)*transducer(2)*lambda*b)/((transducer(9)/transducer(5))-1));

fprintf('\n');
fprintf('Fixed focus \t\t\t F \t = %7.2f mm = %7.2f lambda\n',transducer(9)*1e3,transducer(9)/lambda);
fprintf('Transducer aperture \t\t D \t = %7.2f mm = %7.2f lambda \n',transducer(1)*1e3,transducer(1)/lambda);
fprintf('\n');

[elem_pts] = annular(transducer, excitation, media);

else
   disp('')
   disp('Optimization of other than equal area annular array is not implemented!')
end;





