%------------------------------------------------------------------------
% Routine         : akser.m
% 
% Description     : find abscissa vector to plot results against
% 
% Language        : MATLAB 4.1
% Written by	  : Vebjoern Berre (IBT)
%
% Version no.     : 3.0 VEB 26.04.93 First Version
% Version no.	  : 3.1 FT  06.01.94 New option : Rectangular coord.
%                   3.2 FT  15.02.94 # obs. points corrected (cnf. o2ausim)
%                   3.3 SH  10.04.95 Added flagg(4)=4 for sin(theta) as axis
% 
% Called by       : bpplot
% ------------------------------------------------------------------------

function Y=akser(option,observasjon)

if option(1)=='1'
  if option(2)=='r' 			% radial variation
    r_var=observasjon(5)-observasjon(1);
    Y = 1000*(observasjon(1):r_var/(observasjon(9) - 1):observasjon(5));
  elseif option(2)=='h' 		% theta (elevation) variation
    el_var=observasjon(6)-observasjon(2);
    Y = (180/pi)*(observasjon(2):el_var/(observasjon(9) - 1):observasjon(6));
  elseif option(2)=='p' 		% phi (azimuth) variation
    az_var=observasjon(7)-observasjon(3);
    Y = (180/pi)*(observasjon(3):az_var/(observasjon(9) - 1):observasjon(7));
  elseif option(2)=='x' 		% x  variation
    x_var=observasjon(5)-observasjon(1);
    Y = 1000*(observasjon(1):x_var/(observasjon(9) - 1):observasjon(5));
  elseif option(2)=='y' 		% y  variation
    y_var=observasjon(6)-observasjon(2);
    Y = 1000*(observasjon(2):y_var/(observasjon(9) - 1):observasjon(6));
  elseif option(2)=='z' 		% z  variation
    z_var=observasjon(7)-observasjon(3);
    Y = 1000*(observasjon(3):z_var/(observasjon(9) - 1):observasjon(7));
  elseif option(2)=='e' 		% sin(theta) (elevation) variation
    el_var=observasjon(6)-observasjon(2);
    Y = (observasjon(2):el_var/(observasjon(9) - 1):observasjon(6));
  elseif option(2)=='s' 		% sin(phi) (azimuth) variation
    az_var=observasjon(7)-observasjon(3);
    Y = (observasjon(3):az_var/(observasjon(9) - 1):observasjon(7));
  else
    disp(['Warning: No abscissa possible to define'])
    Y= [];
  end
else
  disp(['Warning: No abscissa possible to define'])
  Y= [];
end



