function [fpts_local] = xyz2fpts(x,y,z);
%------------------------------------------------------------------------
% Routine     : xyz2fpts.m
%
% Description : Compute field points on basis of x,y and z
%               as specified in ULTRASIM documentation
%
% Language    : MATLAB 4.0
% Written by  : Vebjoern Berre (IBT) 
%
% Version no. : 3.0 VEB 26.04.93
% Version no. : 3.1 TKL 30.07.93 New header
%               5.0 SH  23.01.98 Changed meaning of temp in order
%                                to handle 3D arrays in matlab v 5
%
% Called by   : bpusim
% Calling     : 
%----------------------------------------------------------------


%
% specify field points (fpts_local)
% spherical coordinates 
%
temp=prod(size(x));
if (~finite(z))
  fpts_local(1,:) = (180/pi)*reshape(x,1,temp);
  fpts_local(2,:) = (180/pi)*reshape(y,1,temp);
  fpts_local(3,:) = reshape(z,1,temp);
else
  fpts_local(1,:) = reshape(x,1,temp);
  fpts_local(2,:) = reshape(y,1,temp);
  fpts_local(3,:) = reshape(z,1,temp);
end




