%------------------------------------------------------------------------
% Routine     : geospace.m
% Description : Placement of sensors with geometric series spacings
% Language    : Matlab 4.2
% Written by  : 
%
% Version no. : 1.0 JOE 18.10.94 First version
%               1.1 JOE  8.11.94 Even no. of sensors and 'fliplr'interchanged
% Called by   : usimcnf
% Calling     : none
%------------------------------------------------------------------------
function [out] = geospace(k,N,A)

oddeven= rem(N,2); 			%oddeven = 0 when even
oddeven; 				%oddeven = 1 when odd

if oddeven ~= 0
  
  n   =  0:(N-2)/2;
  spacings = k.^n;
  spacings = [fliplr(spacings) spacings];
  position(1) = 1;
  for l= 2:N
    position(l) = position(l-1)+spacings(l-1);
  end
  position = position - position((N+1)/2);
  gridsize = position(N) - position(1);
  factor   = A/gridsize;
  out      = position*factor;
else
  n   =  0:(N-2)/2;
  spacings = k.^n;
  spacing = [fliplr(spacings(2:length(spacings))) spacings];
  position(1) = 1;
  for l= 2:N
    position(l) = position(l-1)+spacing(l-1);
  end
  position = position - (position(N/2)+ (position(N/2+1)-position(N/2))/2);
  gridsize = position(N) - position(1);
  factor   = A/gridsize;
  out      = position*factor;
end

%------------------------------------------------------------------------
