%------------------------------------------------------------------------
% Routine         : o1usim       
%
% Description     : Configuring observation-parameters POINT
%
% Language        : Matlab syntax
% Written by      : Vebjorn Berre,30/3-93   
%
% Version no.     : 3.0
%                 : 3.1 TKL 14.07.93 Corrected ['xyzt']' to ['xyzt']
%                 : 3.2 FT  08.02.94 y and t unsettable if media is 2D
%                 : 3.3 FT  23.02.94 Removed disp('EXIT = "x"')
%                 : 3.4 SH   6.12.94 Changed call o1usimtxt to o1usimtx
%
% Called by       : usimcnf
% Routines called : punkt, fixtxt, o1usimtx
% Load files      : none
%------------------------------------------------------------------------

function [observasjon,option,x,y,z,t]=...
			o1usim(observasjon,option,flagg)

fid=1;
tmp=size(observasjon);
if tmp(2)<14
	tmp=observasjon;
	observasjon=zeros([1,14]);
	observasjon([1:1:length(tmp)])=tmp;
end

if flagg(4)==1;
  fast=['xyzt'];
  if observasjon(14)==3
    [observasjon(1) observasjon(2) observasjon(3)]=...
	rhp2xyz(observasjon(1),observasjon(2),observasjon(3));
  end
elseif flagg(4)==3;
  fast=['rhpt'];
  if observasjon(14)==1
    [observasjon(1) observasjon(2) observasjon(3)]=...
	xyz2rhp(observasjon(1),observasjon(2),observasjon(3));
  end
end

option(1)='p';

com1='000';
while com1(2)~='x'
  clc
  o1usimtx;

  disp('	CHANGE 	= "number"')
  
  com1 = input('-> Decision (<CR> = exit): ','s');
  if isempty(com1) com1 = 'x'; end
  if length(com1)==1 com1=['0',com1];end
  if length(com1)>2
    com1 = '00'
  end
  
  % Changing of parameters
  % ----------------------------------------------------------------------
  
  
  if flagg(3)~=2 & (com1=='01' | com1=='02' | com1=='03' | com1=='04')
    temp=str2num(com1(2));
    observasjon(temp) = punkt(fast(temp),observasjon(temp),'fixed');
    observasjon(temp+4)=observasjon(temp);
  elseif   com1=='01' | com1=='03' 
    temp = str2num(com1(2));
    observasjon(temp) = punkt(fast(temp),observasjon(temp),'fixed');
    observasjon(temp+4) = observasjon(temp);
  end 					% change of parameters
  
end 					%while
if flagg(3)==2				% medium is 2D => y=0
  observasjon(2) = 0;
end;
  
if flagg(4)==1
  x=observasjon(1);
  y=observasjon(2);
  z=observasjon(3);
  t=observasjon(4);
elseif flagg(4)==3
  [x y z]=rhp2xyz(observasjon(1),observasjon(2),observasjon(3));
  t=observasjon(4);
else
  disp('Only spherical or rectangular coordinates supported!')
end

    






