%------------------------------------------------------------------------
% Routine     : o2pusim       
%
% Description : Configuring observation-parameters LINE parametric
%
% Language    : Matlab 4.1
% Written by  : Vebjorn Berre, IBT
%
% Version no. : 3.0 VEB 05.02.93
% Version no. : 3.1 TKL 07.09.93 corrected comments
%             : 3.2 FT  23.02.94 Removed disp('EXIT = "x"')
%               3.3 SH  12.12.94 Shortened call to o2pusimtxt to o2pusimt
%
% Called by   : usimcnf
% Calling     : o2pusimt, apobserv, menu35 
%------------------------------------------------------------------------

function [observasjon,option,linjeparametre,x,y,z,t]=...
			o2pusim(observasjon,option,linjeparametre,flagg)

com1='000';
fid=1;

while com1(2)~='x'
  clc

  o2pusimt;
  
  disp('        CHANGE  = "number"')
  com1 = input('-> Decision (<CR> = exit): ','s');
  if isempty(com1) com1 = 'x'; end
  if length(com1)==1 com1=['0',com1];end
  if length(com1)>2
    com1 = '00'
  end
  
  % changing of parameters
  if com1=='01' 
    temp=menu35('Linetype       ','parametric straight line','turbulensA','turbulensB','turbulensC','turbulensD');
    if isempty(temp) ; 
    elseif temp==1      option='l01'; 
    elseif temp==2      option='l02'; 
    elseif temp==3      option='l03'; 
    elseif temp==4      option='l04'; 
    elseif temp==5      option='l05'; 
    end
    
  elseif com1=='02'
    disp(['Only rectangular coordinates implemented - push a button to continue!']); pause;
  elseif com1=='03'
    temp=input('# pixels        : ');
    if ~isempty(temp) observasjon(9)=temp; end  
    
    
  elseif com1=='16'     
    temp=menu35('Start og sluttpunkt:','[-15,0,10,0] - [15,0,20,0] (DEFAULT)','[-20,0,100,0] - [20,0,125,0]','[  0,  0,40,0] - [20,20,40,0]','[-15,0,15,0] - [15,0,18,0]','annet');
    if isempty(temp)    observasjon([1 2 3 4])=[-15 0 10 0]*1e-3;observasjon([5 6 7 8])=[15 0 20 0]*1e-3;
    elseif temp==1      observasjon([1 2 3 4])=[-15 0 10 0]*1e-3;observasjon([5 6 7 8])=[15 0 20 0]*1e-3;
    elseif temp==2      observasjon([1 2 3 4])=[-20 0 100 0]*1e-3;observasjon([5 6 7 8])=[20 0 125 0]*1e-3;
    elseif temp==3      observasjon([1 2 3 4])=[0 0 40 0]*1e-3;observasjon([5 6 7 8])=[20 20 40 0]*1e-3;
    elseif temp==4      observasjon([1 2 3 4])=[-15 0 15 0]*1e-3;observasjon([5 6 7 8])=[15 0 18 0]*1e-3;
      
    elseif temp==5
      observasjon([1 2 3 4])=input('Startpunkt :')*1e-3;
      observasjon([5 6 7 8])=input('Sluttpunkt :')*1e-3; 
    end
    
 elseif com1=='17'
   clc
   disp('')
   disp('')
   disp([num2str(linjetxt(str2int(option(3))))])
   lpartxt(option);
   linjeparametre([1 2 3 4])=changes('Change','a','b','c','d',linjeparametre([1 2 3 4]));
 end
 
end


[x,y,z,t]=apobserv(observasjon,linjeparametre,option,flagg);









