%------------------------------------------------------------------------
% Routine     : ousim.m
%
% Description : Organizing observation submenus
%
% Language    : Matlab 4.1
% Written by  : Vebjorn Berre (IBT)
%
% Version no. : 1.0 VEB 31.03.93 First Version
%               2.0 VEB 30.04.93
%               3.0 FT  20.03.94 Removed 'linjeparametre' & some obs.options
%               3.1 BJE 10.10.94 Added movie option
%             : 3.2 KE   2.05.96 Changed to facilitate 3D observations
%
% Called by   : usimcnf
% Calling     : o1usim, o2ausim, o3usim
%------------------------------------------------------------------------

function [observasjon,option,x,y,z,t]= ...
         ousim(observasjon,option,flagg,excitation)
  
  if option(1)=='p'
      [observasjon,option,x,y,z,t]=o1usim(observasjon,option,flagg); 
    elseif option(1)=='1' 
      [observasjon,option,x,y,z,t]=o2ausim(observasjon,option,flagg); 
%     
% 'plane' or 'plane+movie' or 'volume' KE
%
% -----------------
% Check for 3D as well KE  
% -----------------
    elseif option(1)=='2' | option(1)=='m' | option(1)=='3' | option(1)=='f'
      [observasjon,option,x,y,z,t]=o3usim(observasjon,option,flagg,excitation);
  
end
  
observasjon(14)=flagg(4);
  
  
