%
function [elem_pts, centers] = period(transducer,flagg,elem_pts,centers,config)
% Function     : [elem_pts, centers] = period(transducer,flagg,elem_pts,centers,config)
% Description  : Periodic thinning of an array
%                thin a 1D array by keeping M elements per cluster with a period of L, 
%                example: L = 5, M =2:
%                1 1 0 0 0 1 1 0 0 0 1 1 0 0 0 1 1
%
% Called by:    usimcnf
% Calling:      viewtrsd
% Language    : Matlab
% Written by  : Sverre Holm, Univ of Oslo
%
% Version no. : 1.0 SH  01.12.2000
%   
%

disp(' ')
if (transducer(6) > 1),
  disp('Cannot thin 1.5 or 2D arrays!')
  return
end

L = input('Period of periodic array: ');
M = input('No of elements per cluster: ');

if (M >= L),
   disp('Cluster size too large: No of elements per cluster must be smaller than period');
   M = L-1;
   disp(['Cluster size reduced to ',num2str(M)]);
end   
%
% remove all elements:
%
centers(4,:) = - abs(centers(4,:));
%
% insert desired elements
%
for mm = 1:M,
   centers(4,mm:L:length(centers)-mm) = - centers(4,mm:L:length(centers)-mm);
end

[elem_pts]=centelem(centers,elem_pts);

viewtrsd(transducer,elem_pts,flagg,0);
return