%------------------------------------------------------------------------
% Routine     : punkt=punkt(indeks,start/slutt/fixed,default)
%
% Description : used for data-input in ofile.m   
%
% Language    : Matlab 4.1
% Written by  : Vebjorn Berre, IBT
%
% Version no. : 1.0 VEB 
% Version no. : 1.1 TKL 17.09.93 Changed t-input to [us] 
%               1.5 FT  08.02.94 point is not scaled if input is empty
%               1.6 SH  10.04.95 Added flagg(4)=4 for sin(theta) as axis
%
% Called by   : busim, o1usim, o2ausim, o3usim
% Calling     : none
%------------------------------------------------------------------------

function point=punkt(akse,default,pkttype)

% pkttype= fixed | start | end

if akse=='x' | akse=='y' | akse=='z' | akse=='r'
  scalefactor=1e-3;
elseif akse=='t'
  scalefactor=1e-6;
elseif akse=='h' | akse=='p'
  scalefactor=pi/180;
else
  scalefactor=1;
end

if akse=='x' | akse=='y' | akse=='z' | akse=='r'
  tekst= [ num2str(akse) , ' [mm] :  ' ];
elseif akse=='h'
  tekst= ['theta [deg] :  ' ];
elseif akse=='p'
  tekst= ['phi [deg] :  ' ];
elseif akse=='t'
  tekst= [ num2str(akse) , ' [us] :  ' ];
elseif akse=='e'
  tekst= ['sin(theta) :  ' ];
elseif akse=='s'
  tekst= ['sin(phi) :  ' ];
end

point=input(['Input ',num2str(pkttype),' value of ',num2str(tekst)]);
if isempty(point) 
  point=default; 
else
  point=point*scalefactor;
end

