%------------------------------------------------------------------------
% Routine         : t1u15dtx
%
% Description     : Configuring transducer-parameters - update window
%			           for 1.5 d array
% Language        : Matlab 5.0
% Written by      : Sverre Holm 15.07.96
% Version no.     : 1.0 SH  15.07.96 Moved from t1usimtx.m
%                       SH  24.03.00 Removed ekstra end
%                   2.0 JEK 30.06.00 Adapted to GUI
%                   
% Called by       : t1usim
% Routines called : none
%------------------------------------------------------------------------

function transducer = t1u15dtx(transducer,lambda)

set(findobj('Tag','ElText'),'String','ELEVATION (1.5-D):');
set(findobj('Tag','amm'),'String',transducer(5)*1e3);
set(findobj('Tag','alambda'),'String',transducer(5)/lambda);
if get(findobj('Tag','aimoMenu'),'Value') == 1 % set Elevation array-aperture, inner
   set(findobj('Tag','aimomm'),'String',transducer(12)*1e3);
   set(findobj('Tag','aimolambda'),'String',transducer(12)/lambda);
elseif get(findobj('Tag','aimoMenu'),'Value') == 2 % Elevation array-aperture, outer
   set(findobj('Tag','aimomm'),'String',transducer(14)*1e3);
   set(findobj('Tag','aimolambda'),'String',transducer(14)/lambda);
else % Elevation array-aperture, middle
   set(findobj('Tag','aimomm'),'String',transducer(13)*1e3);
   set(findobj('Tag','aimolambda'),'String',transducer(13)/lambda);
end
if get(findobj('Tag','rimoMenu'),'Value') == 1 % set Elevation Fixed focus, inner
   set(findobj('Tag','rimomm'),'String',transducer(9)*1e3);
   set(findobj('Tag','rimolambda'),'String',transducer(9)/lambda);
elseif get(findobj('Tag','rimoMenu'),'Value') == 2 % set Elevation Fixed focus, outer
   set(findobj('Tag','rimomm'),'String',transducer(11)*1e3);
   set(findobj('Tag','rimolambda'),'String',transducer(11)/lambda);
else % set Elevation Fixed focus, middle
   set(findobj('Tag','rimomm'),'String',transducer(10)*1e3);
   set(findobj('Tag','rimolambda'),'String',transducer(10)/lambda);
end
if get(findobj('Tag','omoMenu'),'Value') == 1 % set Elevation offset, outer
   set(findobj('Tag','rimomm'),'String',transducer(16)*1e3);
   set(findobj('Tag','rimolambda'),'String',transducer(16)/lambda);
else % set Elevation offset, middle
   set(findobj('Tag','rimomm'),'String',transducer(15)*1e3);
   set(findobj('Tag','rimolambda'),'String',transducer(15)/lambda);
end
if transducer(6) == 3
   set(findobj('Tag','aimoMenu'),'String',{'inner';'outer'});
   set(findobj('Tag','rimoMenu'),'String',{'inner';'outer'});
   set(findobj('Tag','omoMenu'),'String',{'outer'});
else
   set(findobj('Tag','aimoMenu'),'String',{'inner';'outer';'middle'});
   set(findobj('Tag','rimoMenu'),'String',{'inner';'outer';'middle'});
   set(findobj('Tag','omoMenu'),'String',{'outer';'middle'});
end