#include <stdio.h>
#include <math.h>
#include "pvm3.h"

#define PI    3.14159265358979
#define EPS   2.220446049250313e-16
#define INF   1e308


main()
{
  int ptid,cc,id,i,mytid,k;

  int length,FieldLength,finite,n,ElPt[2];
  int lstr,lend,PNo,min_elem,max_elem;
  double *x,*y,*z,*Time,*elem_pts,*Apodize;
  double *local_pr,*local_pi,*SteerFocusDelay;
  double t_ref,c,jomega,Weight,TStFo;
  double PulseLength,TimeDel,maxt,mint,t_vector,r_attenu;
  double w_pulse,x0,y0,z0;
  char buf[10];

  mytid=pvm_mytid();
  ptid=pvm_parent();

  cc=pvm_recv(ptid,-1);
  pvm_bufinfo(cc,(int *)0,(int *)0,&id);
  pvm_upkint(&lstr,1,1);
  while(lstr != -1)    
    {
      pvm_upkint(&lend,1,1);
      length=lend-lstr+1;
      pvm_upkint(&PNo,1,1);
      pvm_upkint(&min_elem,1,1);
      pvm_upkint(&max_elem,1,1);
      pvm_upkint(&ElPt[0],2,1);
      SteerFocusDelay=(double *)calloc(ElPt[1],sizeof(double));
      pvm_upkdouble(SteerFocusDelay,ElPt[1],1);  
      Time=(double *)calloc(length,sizeof(double));
      pvm_upkdouble(Time,length,1);  
      if (PNo==1)
	{
	  pvm_upkint(&FieldLength,1,1);
	  pvm_upkint(&finite,1,1);
	  pvm_upkdouble(&t_ref,1,1);
	  pvm_upkdouble(&c,1,1);
	  pvm_upkdouble(&jomega,1,1);
	  pvm_upkdouble(&Weight,1,1);
	  pvm_upkdouble(&PulseLength,1,1);
	  elem_pts=(double *)calloc(ElPt[0]*ElPt[1],sizeof(double));
	  pvm_upkdouble(elem_pts,ElPt[0]*ElPt[1],1);
	  Apodize=(double *)calloc(ElPt[1],sizeof(double));
	  pvm_upkdouble(Apodize,ElPt[1],1);
	  x=(double *)calloc(length,sizeof(double));
	  pvm_upkdouble(x,length,1);
	  y=(double *)calloc(length,sizeof(double));
	  pvm_upkdouble(y,length,1);
	  z=(double *)calloc(length,sizeof(double));
	  pvm_upkdouble(z,length,1);
      	}  
      
      
      local_pr=(double *)calloc(length,sizeof(double));
      local_pi=(double *)calloc(length,sizeof(double));
      for (n=min_elem;n<=max_elem;n++)
	{
	  for (i=0;i<length;i++)
	    {
	      x0=elem_pts[ElPt[0]*(n-1)];
	      y0=elem_pts[ElPt[0]*(n-1)+1];
	      z0=elem_pts[ElPt[0]*(n-1)+2];

	      TStFo=-SteerFocusDelay[n-1];
	      if (finite==1) 
		TimeDel=(sqrt((x[i]-x0)*(x[i]-x0)+
			      (y[i]-y0)*(y[i]-y0)+
			      (z[i]-z0)*(z[i]-z0)))/c;
	      else
		TimeDel=(sqrt((x[i]-x0)*(x[i]-x0)*180/PI*180/PI+
			      (y[i]-y0)*(y[i]-y0)*180/PI*180/PI+
			      (z[i]-z0)*(z[i]-z0)))/c;	  
	      
	      if ((PulseLength<HUGE_VAL) && (PulseLength>-HUGE_VAL))
		{
		  maxt=TStFo+PulseLength/2;
		  mint=TStFo-PulseLength/2;
		  
		  if (((TimeDel-Time[i]-EPS)<=maxt) && 
		      ((TimeDel-Time[i]+EPS)>=mint))
		    {
		      t_vector=TimeDel-Time[i]-TStFo;
		      
		      if (Weight==1)
			w_pulse=(cos(PI*t_vector/PulseLength)
				 *cos(PI*t_vector/PulseLength)); 
		      else if (Weight==0)
			w_pulse=1;
		      
		      r_attenu=TimeDel/t_ref;
		      
		      local_pr[i]=local_pr[i]+Apodize[n-1]
			*w_pulse*cos(jomega*t_vector)/r_attenu;
		      local_pi[i]=local_pi[i]+Apodize[n-1]
			*w_pulse*sin(jomega*t_vector)/r_attenu;
		    }
		}
	      else
		{
		  t_vector=TimeDel-Time[i]-TStFo;
		  
		  r_attenu=TimeDel/t_ref;
		  
		  local_pr[i]=local_pr[i]
		    +Apodize[n-1]*cos(jomega*t_vector)/r_attenu; 
		  local_pi[i]=local_pi[i]
		    +Apodize[n-1]*sin(jomega*t_vector)/r_attenu;
		  
		}
	    }
	}

      pvm_initsend(0);
      pvm_pkint(&lstr,1,1);
      pvm_pkint(&lend,1,1);
      pvm_pkdouble(local_pr,length,1);
      pvm_pkdouble(local_pi,length,1);

      pvm_send(ptid,4);

      cfree(local_pr);cfree(local_pi);cfree(Time);
      cfree(SteerFocusDelay);
      
      cc=pvm_recv(ptid,-1);
      pvm_bufinfo(cc,(int*)0,(int*)0,&id);
      pvm_upkint(&lstr,1,1);     
    }
  cfree(x);cfree(y);cfree(z);cfree(Time);cfree(Apodize);
  pvm_exit();

}


