%---------------------------------------------------------------
% Routine     : plt3d.m ( PE -  Plot in 3D )
% 
% Description : Accepts data for slice movie in peplot3d.m
%               
%
% Language    : Matlab V4.2c-1
%
% Written by  : Department of Informatics, Kapila Epasinghe
%
% Version no. : 1.0 KE 20.01.96 First version
%
%
% Called by   : peplot3d.m
% Calling     : 
%---------------------------------------------------------------

function res_vec = plt3d(mv,ax,vect,sl_vec,observation)

if mv=='y'
   fprintf('Range for Axis %s : %d to %d',ax,vect(1),vect(length(vect)));
   start=input('Enter start value :');
   if isempty(start) | (start<vect(1)) | (start>vect(length(vect)))
      start=vect(1);
   end
   finish=input('Enter end value :');
   if isempty(finish) | (finish<vect(1)) | (finish>vect(length(vect)))
      finish=vect(length(vect));
   end
   res_vec=[start:1/observation(15):finish];
else
   disp(['  ']);
   disp(['Obeservation slices for ',ax,' Axis']);

   mod_sl=input('Modify slices [y/n] : ','s');
   if isempty(mod_sl) | (mod_sl~='y')
      mod_sl='n';
   end
   if mod_sl == 'y'
      bkgrd=input('-> Background display ?? [y/n] :','s');
      if bkgrd=='n'
         sl_vec=[];
      end
      fprintf('Range for the axis %s: %d to %d',ax,vect(1),vect(length(vect)));
       num=input('Enter the number of slices(default 0, max 5) : ');
      if isempty(num) | num>5 | num<0
         num=0; 
      end
      for k=1:num
        temp_str=['Axis ',ax,' slice ',num2str(k),': Enter value ->'];
        tem_val= input(temp_str);
        while (tem_val<vect(1) | tem_val>vect(length(vect))) | find(sl_vec==tem_val)
           temp_str=['Axis ',ax,' slice ',num2str(k),': Re-enter value ->'];
           tem_val=input(temp_str);
        end
        sl_vec=[tem_val sl_vec];
      end
   end

   res_vec=sl_vec;
end