%------------------------------------------------------------------------
% Routine     : textfunc.m
%
% Description : Callback file for text-menu in plottool.
%
% Language    : Matlab 4.1
% Written by  : Keith Rogers (Transferred from the Mathworks ftp-site)
%
% Version no. : 1.0 KR 30.11.93 First version
%             : 2.0 FT 11.02.94 made compatible with Ultrasim-plottool
%
% Called by   : plottool
% Calling     : tselusim, movetxt
%------------------------------------------------------------------------

function textfunc(command,data)

obj = gco;
if(command == 6)
	TextData = get(get(gcm,'Parent'),'UserData');
	if(strcmp(get(gcm,'Checked'),'off'))
		if(strcmp(get(TextData(2),'Checked'),'off'))
			set(gcm,'UserData',get(gcf,'WindowButtonDownFcn'));
		end
		set(gcm,'Checked','on');
		set(gcf,'WindowButtonDownFcn','movetxt(1)');
		set(TextData(2),'Checked','off');
	else
		set(gcf,'WindowButtonDownFcn',get(gcm,'UserData'));
		set(gcm,'Checked','off');
	end
elseif(command == 7)
	TextData = get(get(gcm,'Parent'),'UserData');
	if(strcmp(get(gcm,'Checked'),'off'))
		if(strcmp(get(TextData(1),'Checked'),'off'))
			set(TextData(1),'UserData',get(gcf,'WindowButtonDownFcn'));
		end
		set(gcm,'Checked','on');
		set(gcf,'WindowButtonDownFcn','movetxt(2)');
		set(TextData(1),'Checked','off');
	else
		set(gcf,'WindowButtonDownFcn',get(TextData(1),'UserData'));
		set(gcm,'Checked','off');
	end

elseif command==10
   	tmptxt = input(' Enter text to be displayed : ','s');
	disp(' Select Location with mouse and Press Button!')
	[xpos,ypos] = ginput(1);
	tmp = text(xpos,ypos,tmptxt);
	set(tmp,'units','normalized');

elseif(strcmp(get(obj,'Type'),'text') & obj ~= [])
	if(command == 1)
		set(obj,'FontName',data);
	elseif(command == 2)
		set(obj,'FontAngle',data);
	elseif(command == 3)
		set(obj,'FontWeight',data);
	elseif(command == 4)
		set(obj,'FontAngle','normal','FontWeight','normal');
	elseif(command == 5)
		if(data == 0)
			set(obj,'FontSize',input('Text Size?'));
		else
			set(obj,'FontSize',data);
		end
	elseif(command == 8)
		delete(obj);
	
	elseif command==9
	   axpos = get(gca,'position');
	   units = get(gco,'units');
	   set(gco,'units','normalized');
	   txtpos = get(gco,'extent');
	   set(gco,'units',units);
	   uipos = [axpos(1)+axpos(3)*txtpos(1),...
	   axpos(2)+axpos(4)*txtpos(2),...
	   2*axpos(3)*txtpos(3) 2*axpos(4)*txtpos(4)];
	   textedit = uicontrol('style','edit',...
	   	'string',get(gco,'string'),...
	   	'units','normalized',...
	   	'position',uipos,...
		'callback','tselusim(1)');
	   obj = [gco;textedit];
	   set(textedit,'UserData',obj);
	end
else
	error('Not a text item!');
end





