%------------------------------------------------------------------------
% Routine     : clipl.m
%
% Description : performs per-element downwards limiting of the 
%               matrix A according to the lower limit botm, i.e.
%               A(i,j) = max(A(i,j),BOTM)    
%
% Language    : Matlab V4.1
% Written by  : Vingmed sound A/S, Kjell Kristoffersen
%
% Version no. : 1.0 KK 
% Version no. : 1.1 TKL 20.09.93 Put into ultrasim toolbox
%
% Called by   : PePlot
%----------------------------------------------------------------

function y = clipl(a,botm)
  
   y =  0.5*((a-botm) + (a-botm).*sign(a-botm)) + botm;
