function setcomap(fig,MapNo) 
  
%------------------------------------------------------------------------
% Function    : setcomap(fig,MapNo)
% Description : Allows you to set the colormap of any figure
% 
% Language    : Matlab V4.1
% Written by  : Vingmed sound A/S, Trond Kleveland
%
% Version no. : 1.0 TKL 21.09.93 First version   
% Version no. : 1.1 TKL 05.10.93 Corrected misspelling
% Version no. : 1.2 TKL 22.11.93 Changed from SetColorMap to setcomap.m
%             : 1.3 BJE 23.04.95 Added checking actual colormap in menu
%
% Called by   : usimcnf, plottool
% Calling     : usimcnf, plottool 
%------------------------------------------------------------------------
  
  
%
% set the current figure handle to fig
%
  figure(fig)
%
% set the colormap to the one defined by MapNo
%
  if MapNo == 1
      colormap(bone)
    elseif MapNo == 2
      colormap(gray)
    elseif MapNo == 3
      colormap(pink)
    elseif MapNo == 4
      colormap(copper)
    elseif MapNo == 5
      colormap(cool)
    elseif MapNo == 6
      colormap(hot)
    elseif MapNo == 7
      colormap(hsv)
    elseif MapNo == 8
      colormap(jet)
    elseif MapNo == 9
      colormap(prism)
    elseif MapNo == 10
      colormap(flag)
    elseif MapNo == 11
      Map = zeros(size(colormap));
      Map(:,1) = ones(length(Map(:,1)),1);
      colormap(Map)
    elseif MapNo == 12
      Map = zeros(size(colormap));
      Map(:,2) = ones(length(Map(:,2)),1);
      colormap(Map)
    elseif MapNo == 13
      Map = zeros(size(colormap));
      Map(:,3) = ones(length(Map(:,3)),1);
      colormap(Map)
    elseif MapNo == 14
      Map = ones(size(colormap));
      colormap(Map)
    elseif MapNo == 15
      Map = zeros(size(colormap));
      colormap(Map)
  end
  
%
% set checking on the actual colormap in current fig
%
  if strcmp(get(fig,'Name'),'ULTRASIM - CONFIGURATION - CALCULATION')
      usimcnf('update_colormap',[],[],MapNo);
      
    elseif strcmp(get(fig,'Name'),'ULTRASIM - PLOT')
      plottool('update_colormap',MapNo);
      
  end
