function setshade(fig,num) 
  
%------------------------------------------------------------------------
% Function    : setshade(fig,num)
% Description : Sets the shading on any figure, UPDATES checking in 
%               shading submenu. 
% 
% In:  fig      Handle to figure
%      num      1 - faceted, 2 - flat, 3 - interpolated
%
%    
% Language    : Matlab V4.2
% Written by  : Bjrnar Elgetun, UiO
%
% Version no. : 1.0 BJE 23.04.95 First version   
%              
%
% Called by   : usmcnf, plottool 
% Calling     : usmcnf, plottool  
%------------------------------------------------------------------------
  
  
%
% set the current figure handle to fig
%
  figure(fig)
  
%
% set the shadeing to the one defined by num
%
  if num == 1
      shading faceted; 
    elseif num == 2
      shading flat;
    elseif num == 3
      shading interp;
  end
  
%
% set checking on the actual shading in current fig
%
  if strcmp(get(fig,'Name'),'ULTRASIM - CONFIGURATION - CALCULATION')
      usimcnf('update_shading',[],[],num);
      
    elseif strcmp(get(fig,'Name'),'ULTRASIM - PLOT')
      plottool('update_shading',num);
      
  end;         
