%------------------------------------------------------------------------------
% Routine	      : sinc.m
% Description	      : Computing sin(x)/x taking care of the fact that 
%			sin(0)/0=1.
% Language	      : MATLAB
% Written by	      : Olav Syljuaasen
% Version no.	      : 2.0
% Date		      : ?
% Revised	      : 15/10-92 by VEB
% Called by	      : General mathematical function.
% Routines called     :	none
%------------------------------------------------------------------------------

function res=sinc(x)
%sinc.m beregner sin(x)/x. rutinen tar vare p at sin(0)/0=1

q=sin(x)./x;
pos=find(isnan(q));
enere=isnan(q);
if size(pos)==[1 1]
    q(pos)=0;
   else
    q(pos)=zeros(size(pos));
   end
res=q+enere;
