%------------------------------------------------------------------------------
% Function    : y = yinput(str,default)
%
% Description : safe yes/no input. str is a text-string question. y is
%               y = 1 -> yes
%               y = 0 -> no
%               <CR> returns default which is either 0 or 1.
%
%
% Language    : Matlab 4.2
% Written by  : Bjrnar Elgetun, Ifi-UiO
%
% Version no. : 1.0 BJE 20.11.95 first version
%
% Called by   : *
%------------------------------------------------------------------------------

function y = yinput(str,default)

%
% check arguments
%
  if (nargin < 2)
      error('syntax: y=yinput(str,default)');
  end

%
% get input
%
  if (default == 1)
      defstr='y';
    else
      defstr='n';
  end

  ystr=input(['-> ' str ' [' defstr '] ? '],'s');

%
% check value
%
  if isempty(ystr)
      y=default;
    else
      if strcmp(ystr(1),'y')
	  y=1;
	else
	  y=0;
      end
  end


