%------------------------------------------------------------------------
% Routine         : mediatxt        
%
% Description     : Returns information on the type of function being
%		    used in a layered model.
%
% Language        : Matlab 4.1
% Written by      : Vebjorn Berre
%
% Version no.     : 1.0 VEB 
% Version no.     : 2.0 SH  07.09.93 
% Version no.     : 3.0 FT  27.09.93 Added 3D Layered media
% Version no.     : 3.1 FT  06.01.93 Simplified (see also partxt/functxt)
%		  : 3.2 FT  19.01.94 Changed text for function no. 4
%		  : 3.3 FT  02.02.94 Added function class 5
%                 : 3.4 EH  27.11.95 Added function class 3 for 3D layer
%                                    called warped surface
%                   3.5 EH  19.02.96 Added text for  surface no. 7. 
%     
% Called by       : musimtxt, musim
% Routines called : none
%------------------------------------------------------------------------

function Y=mediatxt(flagg,x)
if flagg(3)==2
   if x==1
    	Y=['4th order polynomial'];
    elseif x==2
	Y=['ellipsoid'];
    elseif x==3
	Y=['circular transducer'];
    elseif x==4
	Y=['Plane dome with smooth corners'];
    elseif x==5
	Y=['User-Defined Boundary'];
    end
elseif flagg(3)==3
    if x==1
    	Y=['2th order polynomial'];
    elseif x==2
	Y=['ellipsoid'];
    elseif x==6 
        Y=['warped surface'];
    elseif x==7 
        Y=['simple warped surface'];
    end
end

