%------------------------------------------------------------------------
% Routine         : usimquit.m
% Description     : ends ultrasim session
% Language        : Matlab syntax
% Written by      : 3.0 Vebjorn Berre 7. Jan 1993
% Version no.     : 3.1 SH   02.09.94  added quit matlab in routine
%                 : 3.2 BJE  11.05.95  added message
%                   3.3 SH   28.02.96  Saves local startup.cnf when quitting
%                   3.4 SH   26.06.97  added centers in call of susim
%                   3.5 SH   15.03.99  added check for pvec, plength
% Called by       : ultrasim.m
% Routines called : susim
% Load files      : none
%------------------------------------------------------------------------

if qqq == 0		% quit ultrasim identifier
    
    temp=input('Are you sure you want to quit ULTRASIM [y/n] ?  ','s');
    if temp=='y'
      if ~exist('pvec','var'), pvec=[]; end	
      if ~exist('plength','var'), plength=[];end	
      susim([USER_ULTRASIMHOME,separator,'startup.cnf'],... 
	  excitation, observasjon, media, transducer, flagg, ...
	  option, x, y, z, t, elem_pts, elecdelr, elecdelt, comment, ...
	  pvec, plength, phase_err_ud, amp_ud, ...
	  array_resp, max_resp, min_resp, ...
          Elec, Mech, usr_cnfdir, USER_ULTRASIMHOME, separator,centers);
        path(oldpath);
        close(config);
        close(plotfig);
        fprintf('\nFinished.\n')   
      else
        fprintf('\nDid not quit ULTRASIM.\n')
    end
    
%
% qqq ~0, also quit matlab!
%

  else
    temp=input('Are you sure you want to quit MATLAB [y/n] ?  ','s');
    if temp=='y'
	  susim([USER_ULTRASIMHOME,separator,'startup.cnf'],... 
	  excitation, observasjon, media, transducer, flagg, ...
          option, x, y, z, t, elem_pts, elecdelr, elecdelt, comment, ...
          pvec, plength, phase_err_ud, amp_ud, ...
	  array_resp, max_resp, min_resp, ...
          Elec, Mech, usr_cnfdir, USER_ULTRASIMHOME, separator, centers);
        fprintf('\nEnding session ..\n')
        quit
      else
        fprintf('\nDid not quit Matlab.\n');
    end
end


